Subject: H-IB Visa Application
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 22 Feb 2000 02:32:00 -0800 (PST)

Chonawee: Further to our telephone conversation this morning, I am attaching 
a visa questionnaire that I need you to complete and return to me 
immediately, together with the documents listed at the bottom of the form.

As explained, I will send everything to our attorney's office in the hope 
that they can file for the H-IB prior to reaching the cap, but in the event 
this does not go through, your H-IB will not be available until October, 
2000.  As your OPT does not expire until November 1, 2000, we will still have 
the opportunity to get you an H-IB before your OPT runs out.

Please bring these documents to me in EB3694.

Margaret Daffin x57843